1. User
go fiber | Auth
  • public
    • health
      GET
    • Register
      POST
    • Login
      POST
  • User
    • Update Profile
      PUT
    • Get Profile
      GET
    • Change password
      POST
    • Deactive account
      POST
    • Logout
      POST
    • Refresh token jwt
      POST
  • Absensi
    • Checkin
      POST
    • Checkout
      POST
    • Cek Absensi
      GET
    • History
      GET
    • Stats
      GET
  1. User

Update Profile

PUT
/api/v1/user/profile

Request

Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

🟢200OK
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://auth.side.my.id/api/v1/user/profile' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{
    "name": "dimas Update",
    "phone": "1234567890",
    "avatar": "https://i.pinimg.com/736x/b0/7f/b6/b07fb6c1b07043f0f7381e085eedec0d.jpg",
    "kelas": "XII",
    "jurusan": "MIF B"
}'
Response Response Example
200 - OK - Success
{
    "success": true,
    "message": "Profile updated successfully",
    "data": {
        "id": "68778aca5a537a1e4fed4f69",
        "nis": "11111111",
        "name": "dimas Update",
        "kelas": "XII",
        "jurusan": "MIF B",
        "email": "dimas@gmail.com",
        "phone": "1234567890",
        "avatar": "https://i.pinimg.com/736x/b0/7f/b6/b07fb6c1b07043f0f7381e085eedec0d.jpg",
        "is_active": true,
        "created_at": "2025-07-16T11:19:38.946Z",
        "updated_at": "2025-07-16T11:26:33.865Z"
    },
    "timestamp": "2025-07-16 11:26:33"
}
Modified at 2025-07-16 11:27:21
Previous
Login
Next
Get Profile
Built with